<?php

class Plugin_color extends Plugin
{
	function do_inline($pagename, $param1, $param2)
	{
		$color = htmlspecialchars(trim($param1));
		return "<span style=\"color: $color\">" . convert_inline($param2, $pagename) . '</span>';
	}
}

?>